/**
 * @name string-extract-class-names
 * @fileoverview Extracts CSS class/id names from a string
 * @version 7.1.2
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/string-extract-class-names/}
 */

"use strict";var stringExtractClassNames=(()=>{var Qt=Object.create;var $=Object.defineProperty;var kt=Object.getOwnPropertyDescriptor;var zt=Object.getOwnPropertyNames;var te=Object.getPrototypeOf,ee=Object.prototype.hasOwnProperty;var et=(t,e)=>()=>(e||t((e={exports:{}}).exports,e),e.exports),re=(t,e)=>{for(var r in e)$(t,r,{get:e[r],enumerable:!0})},rt=(t,e,r,n)=>{if(e&&typeof e=="object"||typeof e=="function")for(let o of zt(e))!ee.call(t,o)&&o!==r&&$(t,o,{get:()=>e[o],enumerable:!(n=kt(e,o))||n.enumerable});return t};var nt=(t,e,r)=>(r=t!=null?Qt(te(t)):{},rt(e||!t||!t.__esModule?$(r,"default",{value:t,enumerable:!0}):r,t)),ne=t=>rt($({},"__esModule",{value:!0}),t);var at=et((Zr,st)=>{var oe="[object Object]";function ie(t){var e=!1;if(t!=null&&typeof t.toString!="function")try{e=!!(t+"")}catch(r){}return e}function se(t,e){return function(r){return t(e(r))}}var ae=Function.prototype,ot=Object.prototype,it=ae.toString,ue=ot.hasOwnProperty,ce=it.call(Object),le=ot.toString,fe=se(Object.getPrototypeOf,Object);function pe(t){return!!t&&typeof t=="object"}function de(t){if(!pe(t)||le.call(t)!=oe||ie(t))return!1;var e=fe(t);if(e===null)return!0;var r=ue.call(e,"constructor")&&e.constructor;return typeof r=="function"&&r instanceof r&&it.call(r)==ce}st.exports=de});var Yt=et((S,y)=>{var ge=200,_t="__lodash_hash_undefined__",wt=9007199254740991,q="[object Arguments]",he="[object Array]",vt="[object Boolean]",At="[object Date]",me="[object Error]",J="[object Function]",St="[object GeneratorFunction]",O="[object Map]",xt="[object Number]",X="[object Object]",ut="[object Promise]",Tt="[object RegExp]",E="[object Set]",Ct="[object String]",jt="[object Symbol]",W="[object WeakMap]",$t="[object ArrayBuffer]",R="[object DataView]",Ot="[object Float32Array]",Et="[object Float64Array]",Rt="[object Int8Array]",It="[object Int16Array]",Nt="[object Int32Array]",Dt="[object Uint8Array]",Pt="[object Uint8ClampedArray]",Lt="[object Uint16Array]",Mt="[object Uint32Array]",be=/[\\^$.*+?()[\]{}|]/g,ye=/\w*$/,_e=/^\[object .+?Constructor\]$/,we=/^(?:0|[1-9]\d*)$/,s={};s[q]=s[he]=s[$t]=s[R]=s[vt]=s[At]=s[Ot]=s[Et]=s[Rt]=s[It]=s[Nt]=s[O]=s[xt]=s[X]=s[Tt]=s[E]=s[Ct]=s[jt]=s[Dt]=s[Pt]=s[Lt]=s[Mt]=!0;s[me]=s[J]=s[W]=!1;var ve=typeof global=="object"&&global&&global.Object===Object&&global,Ae=typeof self=="object"&&self&&self.Object===Object&&self,p=ve||Ae||Function("return this")(),Vt=typeof S=="object"&&S&&!S.nodeType&&S,ct=Vt&&typeof y=="object"&&y&&!y.nodeType&&y,Se=ct&&ct.exports===Vt;function xe(t,e){return t.set(e[0],e[1]),t}function Te(t,e){return t.add(e),t}function Ce(t,e){for(var r=-1,n=t?t.length:0;++r<n&&e(t[r],r,t)!==!1;);return t}function je(t,e){for(var r=-1,n=e.length,o=t.length;++r<n;)t[o+r]=e[r];return t}function Ht(t,e,r,n){var o=-1,a=t?t.length:0;for(n&&a&&(r=t[++o]);++o<a;)r=e(r,t[o],o,t);return r}function $e(t,e){for(var r=-1,n=Array(t);++r<t;)n[r]=e(r);return n}function Oe(t,e){return t==null?void 0:t[e]}function Wt(t){var e=!1;if(t!=null&&typeof t.toString!="function")try{e=!!(t+"")}catch(r){}return e}function lt(t){var e=-1,r=Array(t.size);return t.forEach(function(n,o){r[++e]=[o,n]}),r}function Y(t,e){return function(r){return t(e(r))}}function ft(t){var e=-1,r=Array(t.size);return t.forEach(function(n){r[++e]=n}),r}var Ee=Array.prototype,Re=Function.prototype,I=Object.prototype,H=p["__core-js_shared__"],pt=function(){var t=/[^.]+$/.exec(H&&H.keys&&H.keys.IE_PROTO||"");return t?"Symbol(src)_1."+t:""}(),Gt=Re.toString,g=I.hasOwnProperty,N=I.toString,Ie=RegExp("^"+Gt.call(g).replace(be,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$"),dt=Se?p.Buffer:void 0,gt=p.Symbol,ht=p.Uint8Array,Ne=Y(Object.getPrototypeOf,Object),De=Object.create,Pe=I.propertyIsEnumerable,Le=Ee.splice,mt=Object.getOwnPropertySymbols,Me=dt?dt.isBuffer:void 0,Ve=Y(Object.keys,Object),G=v(p,"DataView"),x=v(p,"Map"),B=v(p,"Promise"),F=v(p,"Set"),U=v(p,"WeakMap"),T=v(Object,"create"),He=b(G),We=b(x),Ge=b(B),Be=b(F),Fe=b(U),bt=gt?gt.prototype:void 0,yt=bt?bt.valueOf:void 0;function m(t){var e=-1,r=t?t.length:0;for(this.clear();++e<r;){var n=t[e];this.set(n[0],n[1])}}function Ue(){this.__data__=T?T(null):{}}function Ke(t){return this.has(t)&&delete this.__data__[t]}function qe(t){var e=this.__data__;if(T){var r=e[t];return r===_t?void 0:r}return g.call(e,t)?e[t]:void 0}function Je(t){var e=this.__data__;return T?e[t]!==void 0:g.call(e,t)}function Xe(t,e){var r=this.__data__;return r[t]=T&&e===void 0?_t:e,this}m.prototype.clear=Ue;m.prototype.delete=Ke;m.prototype.get=qe;m.prototype.has=Je;m.prototype.set=Xe;function d(t){var e=-1,r=t?t.length:0;for(this.clear();++e<r;){var n=t[e];this.set(n[0],n[1])}}function Ye(){this.__data__=[]}function Ze(t){var e=this.__data__,r=D(e,t);if(r<0)return!1;var n=e.length-1;return r==n?e.pop():Le.call(e,r,1),!0}function Qe(t){var e=this.__data__,r=D(e,t);return r<0?void 0:e[r][1]}function ke(t){return D(this.__data__,t)>-1}function ze(t,e){var r=this.__data__,n=D(r,t);return n<0?r.push([t,e]):r[n][1]=e,this}d.prototype.clear=Ye;d.prototype.delete=Ze;d.prototype.get=Qe;d.prototype.has=ke;d.prototype.set=ze;function _(t){var e=-1,r=t?t.length:0;for(this.clear();++e<r;){var n=t[e];this.set(n[0],n[1])}}function tr(){this.__data__={hash:new m,map:new(x||d),string:new m}}function er(t){return P(this,t).delete(t)}function rr(t){return P(this,t).get(t)}function nr(t){return P(this,t).has(t)}function or(t,e){return P(this,t).set(t,e),this}_.prototype.clear=tr;_.prototype.delete=er;_.prototype.get=rr;_.prototype.has=nr;_.prototype.set=or;function w(t){this.__data__=new d(t)}function ir(){this.__data__=new d}function sr(t){return this.__data__.delete(t)}function ar(t){return this.__data__.get(t)}function ur(t){return this.__data__.has(t)}function cr(t,e){var r=this.__data__;if(r instanceof d){var n=r.__data__;if(!x||n.length<ge-1)return n.push([t,e]),this;r=this.__data__=new _(n)}return r.set(t,e),this}w.prototype.clear=ir;w.prototype.delete=sr;w.prototype.get=ar;w.prototype.has=ur;w.prototype.set=cr;function lr(t,e){var r=Q(t)||Dr(t)?$e(t.length,String):[],n=r.length,o=!!n;for(var a in t)(e||g.call(t,a))&&!(o&&(a=="length"||Er(a,n)))&&r.push(a);return r}function Bt(t,e,r){var n=t[e];(!(g.call(t,e)&&qt(n,r))||r===void 0&&!(e in t))&&(t[e]=r)}function D(t,e){for(var r=t.length;r--;)if(qt(t[r][0],e))return r;return-1}function fr(t,e){return t&&Ft(e,k(e),t)}function K(t,e,r,n,o,a,c){var i;if(n&&(i=a?n(t,o,a,c):n(t)),i!==void 0)return i;if(!L(t))return t;var C=Q(t);if(C){if(i=jr(t),!e)return xr(t,i)}else{var l=h(t),f=l==J||l==St;if(Lr(t))return br(t,e);if(l==X||l==q||f&&!a){if(Wt(t))return a?t:{};if(i=$r(f?{}:t),!e)return Tr(t,fr(i,t))}else{if(!s[l])return a?t:{};i=Or(t,l,K,e)}}c||(c=new w);var z=c.get(t);if(z)return z;if(c.set(t,i),!C)var tt=r?Cr(t):k(t);return Ce(tt||t,function(V,j){tt&&(j=V,V=t[j]),Bt(i,j,K(V,e,r,n,j,t,c))}),i}function pr(t){return L(t)?De(t):{}}function dr(t,e,r){var n=e(t);return Q(t)?n:je(n,r(t))}function gr(t){return N.call(t)}function hr(t){if(!L(t)||Ir(t))return!1;var e=Xt(t)||Wt(t)?Ie:_e;return e.test(b(t))}function mr(t){if(!Kt(t))return Ve(t);var e=[];for(var r in Object(t))g.call(t,r)&&r!="constructor"&&e.push(r);return e}function br(t,e){if(e)return t.slice();var r=new t.constructor(t.length);return t.copy(r),r}function Z(t){var e=new t.constructor(t.byteLength);return new ht(e).set(new ht(t)),e}function yr(t,e){var r=e?Z(t.buffer):t.buffer;return new t.constructor(r,t.byteOffset,t.byteLength)}function _r(t,e,r){var n=e?r(lt(t),!0):lt(t);return Ht(n,xe,new t.constructor)}function wr(t){var e=new t.constructor(t.source,ye.exec(t));return e.lastIndex=t.lastIndex,e}function vr(t,e,r){var n=e?r(ft(t),!0):ft(t);return Ht(n,Te,new t.constructor)}function Ar(t){return yt?Object(yt.call(t)):{}}function Sr(t,e){var r=e?Z(t.buffer):t.buffer;return new t.constructor(r,t.byteOffset,t.length)}function xr(t,e){var r=-1,n=t.length;for(e||(e=Array(n));++r<n;)e[r]=t[r];return e}function Ft(t,e,r,n){r||(r={});for(var o=-1,a=e.length;++o<a;){var c=e[o],i=n?n(r[c],t[c],c,r,t):void 0;Bt(r,c,i===void 0?t[c]:i)}return r}function Tr(t,e){return Ft(t,Ut(t),e)}function Cr(t){return dr(t,k,Ut)}function P(t,e){var r=t.__data__;return Rr(e)?r[typeof e=="string"?"string":"hash"]:r.map}function v(t,e){var r=Oe(t,e);return hr(r)?r:void 0}var Ut=mt?Y(mt,Object):Hr,h=gr;(G&&h(new G(new ArrayBuffer(1)))!=R||x&&h(new x)!=O||B&&h(B.resolve())!=ut||F&&h(new F)!=E||U&&h(new U)!=W)&&(h=function(t){var e=N.call(t),r=e==X?t.constructor:void 0,n=r?b(r):void 0;if(n)switch(n){case He:return R;case We:return O;case Ge:return ut;case Be:return E;case Fe:return W}return e});function jr(t){var e=t.length,r=t.constructor(e);return e&&typeof t[0]=="string"&&g.call(t,"index")&&(r.index=t.index,r.input=t.input),r}function $r(t){return typeof t.constructor=="function"&&!Kt(t)?pr(Ne(t)):{}}function Or(t,e,r,n){var o=t.constructor;switch(e){case $t:return Z(t);case vt:case At:return new o(+t);case R:return yr(t,n);case Ot:case Et:case Rt:case It:case Nt:case Dt:case Pt:case Lt:case Mt:return Sr(t,n);case O:return _r(t,n,r);case xt:case Ct:return new o(t);case Tt:return wr(t);case E:return vr(t,n,r);case jt:return Ar(t)}}function Er(t,e){return e=e==null?wt:e,!!e&&(typeof t=="number"||we.test(t))&&t>-1&&t%1==0&&t<e}function Rr(t){var e=typeof t;return e=="string"||e=="number"||e=="symbol"||e=="boolean"?t!=="__proto__":t===null}function Ir(t){return!!pt&&pt in t}function Kt(t){var e=t&&t.constructor,r=typeof e=="function"&&e.prototype||I;return t===r}function b(t){if(t!=null){try{return Gt.call(t)}catch(e){}try{return t+""}catch(e){}}return""}function Nr(t){return K(t,!0,!0)}function qt(t,e){return t===e||t!==t&&e!==e}function Dr(t){return Pr(t)&&g.call(t,"callee")&&(!Pe.call(t,"callee")||N.call(t)==q)}var Q=Array.isArray;function Jt(t){return t!=null&&Mr(t.length)&&!Xt(t)}function Pr(t){return Vr(t)&&Jt(t)}var Lr=Me||Wr;function Xt(t){var e=L(t)?N.call(t):"";return e==J||e==St}function Mr(t){return typeof t=="number"&&t>-1&&t%1==0&&t<=wt}function L(t){var e=typeof t;return!!t&&(e=="object"||e=="function")}function Vr(t){return!!t&&typeof t=="object"}function k(t){return Jt(t)?lr(t):mr(t)}function Hr(){return[]}function Wr(){return!1}y.exports=Nr});var Xr={};re(Xr,{extract:()=>Jr,version:()=>qr});var Gr=nt(at(),1),Br=nt(Yt(),1);var A="\xA0";function Fr({str:t,idx:e=0,stopAtNewlines:r=!1,stopAtRawNbsp:n=!1}){if(typeof t!="string"||!t.length||((!e||typeof e!="number")&&(e=0),!t[e+1]))return null;if(t[e+1]&&(t[e+1].trim()||r&&`
\r`.includes(t[e+1])||n&&t[e+1]===A))return e+1;if(t[e+2]&&(t[e+2].trim()||r&&`
\r`.includes(t[e+2])||n&&t[e+2]===A))return e+2;for(let o=e+1,a=t.length;o<a;o++)if(t[o].trim()||r&&`
\r`.includes(t[o])||n&&t[o]===A)return o;return null}function u(t,e=0){return Fr({str:t,idx:e,stopAtNewlines:!1,stopAtRawNbsp:!1})}function Ur({str:t,idx:e,stopAtNewlines:r,stopAtRawNbsp:n}){if(typeof t!="string"||!t.length||((!e||typeof e!="number")&&(e=0),e<1))return null;if(t[~-e]&&(t[~-e].trim()||r&&`
\r`.includes(t[~-e])||n&&t[~-e]===A))return~-e;if(t[e-2]&&(t[e-2].trim()||r&&`
\r`.includes(t[e-2])||n&&t[e-2]===A))return e-2;for(let o=e;o--;)if(t[o]&&(t[o].trim()||r&&`
\r`.includes(t[o])||n&&t[o]===A))return o;return null}function M(t,e=0){return Ur({str:t,idx:e,stopAtNewlines:!1,stopAtRawNbsp:!1})}var Zt="7.1.2";var qr=Zt;function Jr(t){var c;if(typeof t!="string")throw new TypeError(`string-extract-class-names: [THROW_ID_01] first str should be string, not ${typeof t}, currently equal to ${JSON.stringify(t,null,4)}`);let e=".# ~\\!@$%^&*()+=,/';:\"?><[]{}|`",r;function n(i){return typeof i=="string"&&!!i.length&&(i.charCodeAt(0)>64&&i.charCodeAt(0)<91||i.charCodeAt(0)>96&&i.charCodeAt(0)<123)}let o=null,a={res:[],ranges:[]};for(let i=0,C=t.length;i<=C;i++){o!==null&&i>=o&&(!((c=t[i])!=null&&c.trim())||e.includes(t[i]))&&(i>o+1&&(a.ranges.push([o,i]),a.res.push(`${r||""}${t.slice(o,i)}`),r&&(r=void 0)),o=null),t[i]&&o===null&&(t[i]==="."||t[i]==="#")&&(o=i);let l=u(t,i+4);t.startsWith("class",i)&&typeof M(t,i)=="number"&&t[M(t,i)]==="["&&typeof l=="number"&&t[l]==="="&&(u(t,l)&&n(t[u(t,l)])?o=u(t,l):`'"`.includes(t[u(t,l)])&&n(t[u(t,u(t,l))])&&(o=u(t,u(t,l))),r=".");let f=u(t,i+1);t.startsWith("id",i)&&t[M(t,i)]==="["&&f!==null&&t[f]==="="&&(n(t[u(t,f)])?o=u(t,f):`'"`.includes(t[u(t,f)])&&n(t[u(t,u(t,f))])&&(o=u(t,u(t,f))),r="#")}return a.ranges.length||(a.ranges=null),a}return ne(Xr);})();
/**
 * @name string-left-right
 * @fileoverview Looks up the first non-whitespace character to the left/right of a given index
 * @version 5.1.2
 * @author Roy Revelt, Codsen Ltd
 * @license MIT
 * {@link https://codsen.com/os/string-left-right/}
 */
